Bug 49296 - FileSystem: Fix a link error for non-chromium WebKit build
Summary: FileSystem: Fix a link error for non-chromium WebKit build
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-09 19:06 PST by Kavita Kanetkar
Modified: 2010-11-11 21:38 PST (History)
4 users (show)

See Also:


Attachments
patch (7.34 KB, patch)
2010-11-09 19:51 PST, Kavita Kanetkar
no flags Details | Formatted Diff | Diff
patch (7.27 KB, patch)
2010-11-10 10:35 PST, Kavita Kanetkar
no flags Details | Formatted Diff | Diff
patch (7.49 KB, patch)
2010-11-11 14:59 PST, Kavita Kanetkar
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kavita Kanetkar 2010-11-09 19:06:58 PST
WebKit build with --file-system gets link error.
Comment 1 Kavita Kanetkar 2010-11-09 19:51:41 PST
Created attachment 73452 [details]
patch
Comment 2 Kinuko Yasuda 2010-11-09 21:28:06 PST
Comment on attachment 73452 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=73452&action=review

> WebCore/inspector/InspectorFileSystemAgent.cpp:123
> +    // FIXME: Remove guard when file system is supported for non-chromium platforms.

This comment does not look really accurate; must be like 'when revealFolderInOS is implemented on non-chromium platforms'.

> WebCore/inspector/InspectorFileSystemAgent.cpp:124
>      WebCore::revealFolderInOS(path);

I don't think you need WebCore:: here.  (Aren't we in WebCore namespace?)
Comment 3 Kavita Kanetkar 2010-11-10 10:35:11 PST
Created attachment 73506 [details]
patch

The WebCore:: is for resolving scope, since InspectorFileSystemAgent's method name is the same.
Comment 4 Kinuko Yasuda 2010-11-10 10:38:07 PST
Comment on attachment 73506 [details]
patch

lgtm!
Comment 5 Jian Li 2010-11-10 20:07:35 PST
Comment on attachment 73506 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=73506&action=review

Looks good except the minor issue. Please fix it before you land the patch.

> WebCore/inspector/InspectorFileSystemAgent.cpp:127
> +void InspectorFileSystemAgent::revealFolderInOS(const String&) { }

Please add "notImplemented();".
Comment 6 Kavita Kanetkar 2010-11-11 14:59:19 PST
Created attachment 73668 [details]
patch

I am not a committer so it needs to go through cq. Please take a look.

Thanks.
Comment 7 Dumitru Daniliuc 2010-11-11 15:21:09 PST
Comment on attachment 73668 [details]
patch

rs=me, based on jian's and kinuko's reviews.
Comment 8 Eric Seidel (no email) 2010-11-11 16:22:13 PST
Comment on attachment 73506 [details]
patch

Cleared Jian Li's review+ from obsolete attachment 73506 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 9 WebKit Commit Bot 2010-11-11 21:38:43 PST
Comment on attachment 73668 [details]
patch

Clearing flags on attachment: 73668

Committed r71885: <http://trac.webkit.org/changeset/71885>
Comment 10 WebKit Commit Bot 2010-11-11 21:38:48 PST
All reviewed patches have been landed.  Closing bug.